Subject: Re: [PATCH 0/5] SUNRPC: make caches network namespace aware

From: Stanislav Kinsbursky <[email-masked]>
Date: Thu, 19 Jan 2012 19:43:22 +0400

19.01.2012 19:34, Myklebust, Trond пишет:
>> -----Original Message-----
>> From: Stanislav Kinsbursky [mailto:[email-masked]]
>> Sent: Thursday, January 19, 2012 10:32 AM
>> To: Myklebust, Trond
>> Cc: Dr James Bruce Fields; [email-masked]; Pavel Emelianov;
>> [email-masked]; [email-masked]; [email-masked];
>> James Bottomley; [email-masked]; [email-masked];
>> [email-masked]
>> Subject: Re: [PATCH 0/5] SUNRPC: make caches network namespace aware
>>
>> 19.01.2012 19:19, Trond Myklebust пишет:
>>> On Thu, 2012-01-19 at 18:48 +0400, Stanislav Kinsbursky wrote:
>>>> One more step towards to "NFS in container".
>>>> With this patch set caches are allocated per network namespace.
>>>>
>>>> The following series consists of:
>>>>
>>>> ---
>>>>
>>>> Stanislav Kinsbursky (5):
>>>>         SUNRPC: cache creation and destruction routines introduced
>>>>         SUNRPC: create unix gid cache per network namespace
>>>>         SUNRPC: create GSS auth cache per network namespace
>>>>         SUNRPC: ip map cache per network namespace cleanup
>>>>         SUNRPC: generic cache register routines removed
>>>
>>> The patches look good, and I've applied them for now in my 'devel'
>>> branch so we can test them, but I'd like to get an Ack/Nack from Bruce
>>> before committing to merging them.
>>>
>>
>> Cool, thanks.
>> BTW, these patches depends on patch "NFSd: use network-namespace-
>> aware cache registering routines", which Bruce took already (and it's even in
>> linux-next already), but not in your devel tree for some reason.
>
> In that case, would it make more sense to carry them in Bruce's tree?
>

It's up to you, of course.  But, frankly, I don't think so.
To be more precise, only the last patch ("SUNRPC: generic cache register 
routines removed") depends on the patch, which is in linux-next already. IOW, 
those patch removed NFSd dependence on cache_register() and cache_unregister() 
routines and was commited to linux-next at Wed, 7 Dec 2011.

-- 
Best regards,
Stanislav Kinsbursky